package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF9C3 extends MwfRequest<MWF9C3, MWF9C3Response> {

    @Parameter(name = "CancelExtAccount")
    MWF9C3 cancelExtAccount(Boolean cancelExtAccount);
    @Parameter(name = "Cif")
    MWF9C3 cif(String cif);
    @Parameter(name = "ExtAccBankCode")
    MWF9C3 extAccBankCode(String extAccBankCode);
    @Parameter(name = "ExtAccNumber")
    MWF9C3 extAccNumber(String extAccNumber);
    @Parameter(name = "ExtAccPrefix")
    MWF9C3 extAccPrefix(String extAccPrefix);
    @Parameter(name = "MonetaAccNumber")
    MWF9C3 monetaAccNumber(String monetaAccNumber);
    @Parameter(name = "SwitchingDate")
    MWF9C3 switchingDate(java.util.Date switchingDate);
    @Parameter(name = "TransferPermOrders")
    MWF9C3 transferPermOrders(Boolean transferPermOrders);
}
